Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.impl
Class PostTransactionWorkQueueSynchronization

    java.lang.Object
      org.hibernate.search.backend.impl.PostTransactionWorkQueueSynchronization

All Implemented Interfaces:
  javax.transaction.Synchronization

    public class PostTransactionWorkQueueSynchronization

extends java.lang.Object
implements javax.transaction.Synchronization

Execute some work inside a transaction synchronization

Author:
  Emmanuel Bernard

Constructor Summary
`PostTransactionWorkQueueSynchronization(QueueingProcessor queueingProcessor, WeakIdentityHashMap queuePerTransaction)` in transaction work

Method Summary
`void` | `add(Work work)`
`void` | `afterCompletion(int i)`
`void` | `beforeCompletion()`
`void` | `flushWorks()`
`boolean` | `isConsumed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostTransactionWorkQueueSynchronization

    public PostTransactionWorkQueueSynchronization(QueueingProcessor queueingProcessor,
                                                   WeakIdentityHashMap queuePerTransaction)

  in transaction work

Method Detail

### add

    public void add(Work work)

### isConsumed

    public boolean isConsumed()

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `javax.transaction.Synchronization`

### afterCompletion

    public void afterCompletion(int i)

  Specified by:
    `afterCompletion` in interface `javax.transaction.Synchronization`

### flushWorks

    public void flushWorks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.